Results 1 to 8 of 8

Thread: Upgrading from 6.0.5 to 6.0.7

  1. #1
    Join Date
    Jun 2010
    Location
    India
    Posts
    82
    Rep Power
    5

    Lightbulb Upgrading from 6.0.5 to 6.0.7

    Hi,

    I've decided to upgrade my zimbra server to 6.0.7 from 6.0.5 NE.

    1. I would like to know if an immediate upgrade to 6.0.7 is possible without any issues
    2. Things I should take care of including backups
    3. All tweaks for a successful upgrade, any predicted issues.

    Any suggestions or instructions would be highly appreciated and thanks a lot for all the help..and keeping this forum live!

  2. #2
    Join Date
    Oct 2007
    Posts
    123
    Rep Power
    8

    Default

    Quote Originally Posted by mailman.33 View Post
    Hi,

    I've decided to upgrade my zimbra server to 6.0.7 from 6.0.5 NE.

    1. I would like to know if an immediate upgrade to 6.0.7 is possible without any issues
    2. Things I should take care of including backups
    3. All tweaks for a successful upgrade, any predicted issues.

    Any suggestions or instructions would be highly appreciated and thanks a lot for all the help..and keeping this forum live!
    i've done a similar update last sunday, it took only 25mins (50 accounts)

    just make a fullbackup (mailbox and /opt/zimbra) to be safe in case of something goes wrong

    when you make an upgrade from two (or three) version older than the new one, the upgrade process apply all the patch (it's like a combo upgrade of Mac OSX)

    BR

  3. #3
    Join Date
    Jun 2010
    Location
    India
    Posts
    82
    Rep Power
    5

    Wink Thanks a lot stich86

    Hi,

    Thanks a lot for getting back. Good to know it worked out well for you. I will be working on it soon, hope it turns out good. Will let you know the result.

    And any discussions on this, please pass it on guys. Good luck stich86 and tc.

  4. #4
    Join Date
    Jun 2010
    Location
    India
    Posts
    82
    Rep Power
    5

    Talking goodie!

    Hi Guys,

    I had a safe upgrade from 6.0.3 NE to 6.0.7 NE on one of my test servers with Centos. Everything went well, i just had to follow the instructions in the installation.

    Mails and routing are perfect like before and good job zimbra! Thanks for the support from mmorse and stich86 for getting back. I just had to take the precautionary measures like a backup of /opt/zimbra and a full account backup. I will keep monitoring in the days to come. Bye!

  5. #5
    Join Date
    Jun 2010
    Location
    India
    Posts
    82
    Rep Power
    5

    Question About 6.0.5 to 6.0.7

    Hi guys,

    Another test from 6.0.5 to 6.0.7 resulted in an error but installation was completed and zmcontrol -v showed the version, all services were running. this wast the error from the log

    --------
    [root@zimbratest ~]# tail -f /tmp/zmsetup.07032010-081112.log

    Running bdb db_recover...done.
    Running zmldapapplyldif...failed.
    Checking ldap status....already running.
    Setting defaults...done.
    Setting defaults from existing config...done.
    Checking for port conflicts
    Port conflict detected: 25 (zimbra-mta)
    Port conflicts detected! - Any key to continue
    Setting defaults from ldap...done.
    dualvar is only available with the XS version of Scalar::Util at /opt/zimbra/zimbramon/lib/IO/Socket/SSL.pm line 38
    BEGIN failed--compilation aborted at /opt/zimbra/zimbramon/lib/IO/Socket/SSL.pm line 38.
    Compilation failed in require at /opt/zimbra/zimbramon/lib/Net/LDAP.pm line 1005.
    ------------------

    I guess this is something related to a version conflict. The machine had a CentOS release 5.2 (Final) with 32 bit arch. I tried installing a 32bit " zcs-NETWORK-6.0.7_GA_2473.RHEL4.20100616201531.tgz" for redhat.

    Please get back to me if u guys have any idea about it. If any more details are required please let me know. So far so good!

    Additionally the test was done after stopping all zimbra services so I am not sure if any "port conflicts" should happen. The logs show that too, no other services were running too.
    Last edited by mailman.33; 07-13-2010 at 07:34 AM. Reason: to provide more details

  6. #6
    Join Date
    Jun 2010
    Location
    India
    Posts
    82
    Rep Power
    5

    Talking Gosh my mistake!

    Guys,

    It was indeed a port conflict. Sendmail was running on port 25. Sorry about making a fuss haha. Anyway thanks guys, i am gonna clear that and test again.

  7. #7
    Join Date
    Jun 2010
    Location
    India
    Posts
    82
    Rep Power
    5

    Red face ahm ahmm

    Hi,

    This time I cleared the port conflict. Shutdown sendmail and that was solved but it throwed the same error about Scalar::Util
    -------------
    Running bdb db_recover...done.
    Running zmldapapplyldif...failed.
    Checking ldap status....already running.
    Setting defaults...done.
    Setting defaults from existing config...done.
    Checking for port conflicts
    Setting defaults from ldap...done.
    dualvar is only available with the XS version of Scalar::Util at /opt/zimbra/zimbramon/lib/IO/Socket/SSL.pm line 38
    BEGIN failed--compilation aborted at /opt/zimbra/zimbramon/lib/IO/Socket/SSL.pm line 38.
    Compilation failed in require at /opt/zimbra/zimbramon/lib/Net/LDAP.pm line 1005.
    [root@zimbratest zcs-NETWORK-6.0.7_GA_2473.RHEL4.20100616201531]#
    -------------

    It says compilation failed at line 1005 of /opt/zimbra/zimbramon/lib/Net/LDAP.pm. This is what is in the file at 1005(attaching the whole function)
    -----------------------
    sub start_tls {
    my $ldap = shift;
    my $arg = &_options;
    my $sock = $ldap->socket;

    require IO::Socket::SSL;
    require Net::LDAP::Extension;
    my $mesg = $ldap->message('Net::LDAP::Extension' => $arg);

    return _error($ldap, $mesg, LDAP_OPERATIONS_ERROR, "TLS already started")
    if $sock->isa('IO::Socket::SSL');

    return _error($ldap, $mesg, LDAP_PARAM_ERROR, "StartTLS requires LDAPv3")
    if $ldap->version < 3;

    $mesg->encode(
    extendedReq => {
    requestName => LDAP_EXTENSION_START_TLS,
    }
    );
    ----------------

    The setup log says installation was halted while doing a check on LDAP. Indeed.

    Guess I am not alone. We have the same issue faced by a friend here. please check out this thread too for details
    ----------
    http://www.zimbra.com/forums/adminis...rs-appear.html
    ---------
    Any ideas? Please get back
    Last edited by mailman.33; 07-13-2010 at 10:51 AM. Reason: for more details

  8. #8
    Join Date
    Jun 2010
    Location
    India
    Posts
    82
    Rep Power
    5

    Thumbs up Worked out well on Main servers

    Hi Guys,

    Apart from that error above on one of the test servers, the Installation was successful on my main mailservers All credit to zimbra, i just had to follow the instructions. Took some measures for precaution like backups. After the upgrade, applied the patches from mmorse's post. Thanks mmorse.

    1. took a full account backup and /opt/zimbra to another mount point.
    2. took a backup of certs even though it is required only for a version downgrade.
    3. made a note of all the services running in the old setup, and a 'zmprov gacf' of the server(getAllConfig).
    4. Stopped all services and confirmed no zimbra process was running with a 'top -u zimbra' in a second terminal.
    5. Kick started upgrade and later tailed the zmsetup log in /tmp dir that is created during the installation. This log has all details of whats happening.

    Thats it! I made sure I upgrade Proxy server first and keep it running before upgrading mailbox servers. This is required when mailbox servers connect with the LDAP server and installation will quit if the proxy server is not running.

    And then applied this patch for 6.0.7 after the upgrade. Thanks to mmorse for posting it. Beautiful, that was very easy after following the instructions there. Very well written. Perfect.
    ----------
    http://www.zimbra.com/forums/announc...0-7-patch.html
    ----------

    I hope this helps. Good work zimbra!

Similar Threads

  1. Replies: 9
    Last Post: 07-05-2010, 04:36 PM
  2. Upgrading NE 6.0.4 to NE 6.0.7 Self-signed Certs
    By parixit in forum Administrators
    Replies: 6
    Last Post: 06-24-2010, 02:46 PM
  3. Upgrade failed 5.0.23 - 6.0.5
    By danny.sierra@omtech.net in forum Installation
    Replies: 2
    Last Post: 05-05-2010, 02:28 PM
  4. More Spam after upgrading to 6.0.5
    By fragility in forum Administrators
    Replies: 23
    Last Post: 04-13-2010, 04:14 AM
  5. Replies: 3
    Last Post: 02-18-2010, 02:44 AM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •